% Quantile Treatment Effects and Bootstrap Inference under Covariate-Adaptive Randomization 
% Yichong Zhang, Xin Zheng
% 2020/02/14

% [Combine results of Table 1]


clear
clc
%%
x1 = load('H200_1_1.mat');
x2 = load('H200_1_2.mat');
x3 = load('H200_1_3.mat');
x4 = load('H200_1_4.mat');
x5 = load('H200_2_1.mat');
x6 = load('H200_2_2.mat');
x7 = load('H200_2_3.mat');
x8 = load('H200_2_4.mat');

vrs = 'taulist';
x.(vrs) = x1.(vrs);
vrs = 'H';
x.(vrs) = x1.(vrs);
vrs = 'Hlist';
x.(vrs) = x1.(vrs);

%% QTE
vrs = 'T_q_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'T_q_adj';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'T_q_b_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'T_q_b_ipw_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'T_q_b';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'T_q_b_ipw';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);



vrs = 'std_q_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'std_q_adj';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'str_q_b_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'str_q_b_ipw_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'str_q_b';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);
vrs = 'str_q_b_ipw';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs)+x5.(vrs)+x6.(vrs)+x7.(vrs)+x8.(vrs);



%%
save('combine_200.mat','-struct','x');
clear
clc











