% Quantile Treatment Effects and Bootstrap Inference under Covariate-Adaptive Randomization 
% Yichong Zhang, Xin Zheng
% 2020/02/14

% [Combine results of Table 4]

clear
clc
%%
x1 = load('H400_1_1.mat');
x2 = load('H400_1_2.mat');
x3 = load('H400_2_1.mat');
x4 = load('H400_2_2.mat');

vrs = 'taulist';
x.(vrs) = x1.(vrs);
vrs = 'H';
x.(vrs) = x1.(vrs);
vrs = 'Hlist';
x.(vrs) = x1.(vrs);


%% QTE
vrs = 'T_q_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'T_q_adj';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'T_q_b_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'T_q_b_ipw_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'T_q_b';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'T_q_b_ipw';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);



vrs = 'std_q_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'std_q_adj';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'str_q_b_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'str_q_b_ipw_naive';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'str_q_b';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);
vrs = 'str_q_b_ipw';
x.(vrs) = x1.(vrs)+x2.(vrs)+x3.(vrs)+x4.(vrs);


%%
save('combine_400.mat','-struct','x');
clear
clc











