% Quantile Treatment Effects and Bootstrap Inference under Covariate-Adaptive Randomization 
% Yichong Zhang, Xin Zheng
% 2020/02/14

% [Generate Table 6]


clear;clc;
load('combine_400');
mu = 0.75;
%% 25-75, H0
rej_q_diff = mean(abs(T_q_naive_diff)>1.96,3);
rej_q_adj_diff = mean(abs(T_q_adj_diff)>1.96,3);
rej_q_boot_naive_diff = mean(abs(T_q_b_naive_diff)>1.96,3);
rej_q_ipw_boot_naive_diff = mean(abs(T_q_b_ipw_naive_diff)>1.96,3);



rej_q_boot_diff = mean(abs(T_q_b_diff)>1.96,3);
rej_q_ipw_boot_diff = mean(abs(T_q_b_ipw_diff)>1.96,3);
    rej_temp1_diff = rej_q_diff(:,:)';
    rej_temp2_diff = rej_q_adj_diff(:,:)';
    rej_temp3_diff = rej_q_boot_naive_diff(:,:)';
    rej_temp4_diff = rej_q_ipw_boot_naive_diff(:,:)';
    rej_temp5_diff = rej_q_boot_diff(:,:)';
    rej_temp6_diff = rej_q_ipw_boot_diff(:,:)';
    rej_0_qte_diff = [rej_temp1_diff(:),rej_temp2_diff(:),rej_temp3_diff(:),......
        rej_temp4_diff(:),rej_temp5_diff(:),rej_temp6_diff(:)];
%% 25-75, H1
rej_q_diff = mean(abs(T_q_naive_diff++mu/std_q_naive_diff)>1.96,3);
rej_q_adj_diff = mean(abs(T_q_adj_diff+mu/std_q_adj_diff)>1.96,3);
rej_q_boot_naive_diff = mean(abs(T_q_b_naive_diff+mu/str_q_b_naive_diff)>1.96,3);
rej_q_ipw_boot_naive_diff = mean(abs(T_q_b_ipw_naive_diff+mu/str_q_b_ipw_naive_diff)>1.96,3);



rej_q_boot_diff = mean(abs(T_q_b_diff+mu/str_q_b_diff)>1.96,3);
rej_q_ipw_boot_diff = mean(abs(T_q_b_ipw_diff+mu/str_q_b_ipw_diff)>1.96,3);
    rej_temp1_diff = rej_q_diff(:,:)';
    rej_temp2_diff = rej_q_adj_diff(:,:)';
    rej_temp3_diff = rej_q_boot_naive_diff(:,:)';
    rej_temp4_diff = rej_q_ipw_boot_naive_diff(:,:)';
    rej_temp5_diff = rej_q_boot_diff(:,:)';
    rej_temp6_diff = rej_q_ipw_boot_diff(:,:)';
    rej_1_qte_diff = [rej_temp1_diff(:),rej_temp2_diff(:),rej_temp3_diff(:),......
        rej_temp4_diff(:),rej_temp5_diff(:),rej_temp6_diff(:)];

output_table6 = [rej_0_qte_diff(1:4,1:6),rej_1_qte_diff(1:4,1:6);rej_0_qte_diff(9:12,1:6),rej_1_qte_diff(9:12,1:6)];
save('table6.mat','output_table6');
